<?php 

class cUsuariogrupo{	

	function insertar($xac,$nom,$mos){

		$sql="INSERT INTO tb_usuariogrupo (

		`tb_usuariogrupo_xac`, 

		`tb_usuariogrupo_nom`,

		`tb_usuariogrupo_mos`

		) VALUES ('$xac', '$nom', '$mos');";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function ultimoInsert(){

		$sql = "SELECT last_insert_id()"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function filtrar($mos){

		$sql="SELECT * FROM `tb_usuariogrupo`

		WHERE tb_usuariogrupo_xac=1

		AND tb_usuariogrupo_mos=$mos

		ORDER BY tb_usuariogrupo_nom;";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function mostrarTodos(){

		$sql="SELECT * FROM `tb_usuariogrupo`

		WHERE tb_usuariogrupo_xac=1

		ORDER BY tb_usuariogrupo_id DESC;";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function mostrarUno($id){

		$sql="SELECT * FROM `tb_usuariogrupo`

		WHERE tb_usuariogrupo_id=$id;";	

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function modificar($id,$nom){

		$sql="UPDATE `tb_usuariogrupo` SET 		

		`tb_usuariogrupo_nom`='$nom'

		 WHERE tb_usuariogrupo_id=$id;";	

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function modificar_campo($id,$campo,$valor){

		$sql = "UPDATE tb_usuariogrupo SET

		`tb_usuariogrupo_$campo` =  '$valor' 

		WHERE tb_usuariogrupo_id =$id;"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function eliminar($id){

		$sql="DELETE FROM `tb_usuariogrupo`		

		 WHERE tb_usuariogrupo_id=$id;";	

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

}

?>